This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 597596

Summary: Review Request: alsa-patch-bay - Simple GUI for ALSA sequencers
Product: [Fedora] Fedora Reporter: Corbin Simpson <MostAwesomeDude>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, lemenkov, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-19 17:50:30 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Corbin Simpson 2010-05-29 14:05:07 EDT
Spec URL: http://people.freedesktop.org/~csimpson/alsa-patch-bay.spec
SRPM URL: http://people.freedesktop.org/~csimpson/alsa-patch-bay-1.0.0-1.fc12.src.rpm
Description: alsa-patch-bay is a simple, plain GUI tool for patching together ALSA sequencers.

I found this tool during the Planet CCRMA days and fell in love with it, but it hasn't been maintained. I've got a github (http://github.com/MostAwesomeDude/alsa-patch-bay) with all the patches, and I'm waiting for upstream to get back to me on this.

My SPEC file is probably pretty iffy; I am very new to RPM as opposed to DEB, and auto-br-rpmbuild appears to have been a bit too eager in picking deps. Additionally, this package can be built against GTKMM and JACK in a mix'n'match; I should depend on (GTKMM || FLTK) && (ALSA || JACK) instead of what I've got now.

Thanks!

~ C.
Comment 1 Corbin Simpson 2010-05-29 14:07:29 EDT
I should add that this is my first package review request in Fedora, and that I am looking for a sponsor, per https://fedoraproject.org/wiki/PackageMaintainers/Join .

~ C.
Comment 2 Corbin Simpson 2010-05-29 16:38:31 EDT
I read more docs and did some rpmlint. I have the unstripped binary issue, and also the no-documentation issue. These are all warnings, but I should fix them once I know how. Incidentally, no documentation exists on these.

I also actually tried installing this RPM, and it appears to work. I'm kind of amazed, actually. Anyway, links to the new stuff:

SPEC: http://people.freedesktop.org/~csimpson/alsa-patch-bay.spec
RPM: http://people.freedesktop.org/~csimpson/alsa-patch-bay-1.0.0-2.fc12.i386.rpm
SRPM: http://people.freedesktop.org/~csimpson/alsa-patch-bay-1.0.0-2.fc12.src.rpm

~ C.
Comment 3 Thomas Spura 2010-05-29 17:48:31 EDT
*** Bug 597592 has been marked as a duplicate of this bug. ***
Comment 4 Corbin Simpson 2010-05-29 19:02:07 EDT
And now it builds on koji! Amazing what can get done when there's a take-home final sitting above one's head. Links:

SPEC: http://people.freedesktop.org/~csimpson/alsa-patch-bay.spec
SRPM: http://people.freedesktop.org/~csimpson/alsa-patch-bay-1.0.0-3.fc12.src.rpm
Comment 5 Jason Tibbitts 2010-11-19 15:05:09 EST
Just taking a look at some older review tickets.

This one builds but fails to install:

Error: Package: alsa-patch-bay-1.0.0-3.fc15.x86_64 (/alsa-patch-bay-1.0.0-3.fc15.x86_64)
           Requires: fltk.so.0

Any reason why you specify all of the library dependencies manually instead of letting rpm figure them out for you?  You really should never need to do anything remotely like this:

Requires:      alsa.so.0 fltk.so.0 libasound.so.2 libasound.so.2(ALSA_0.9) libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libdl.so.2 libdl.so.2(GLIBC_2.0) libdl.so.2(GLIBC_2.1) libfltk.so.1.1 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6 libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1) libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(CXXABI_1.3.1) libstdc++.so.6(GLIBCXX_3.4) libstdc++.so.6(GLIBCXX_3.4.11) libstdc++.so.6(GLIBCXX_3.4.9) rtld(GNU_HASH)

rpm will happily figure out all of those (and, indeed, the currect ones) for itself.

We don't usually usually ship libtool archives unless there's some specific reason to do so.  Do things break if you remove the two .la files?
Comment 6 Jason Tibbitts 2011-01-19 17:50:30 EST
No response in two months; closing.